import request from '@/utils/request'

export function machine() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_序间外协_项目查询'
    }
  })
}
export function getToolNum() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_序间外协机床查询'
    }
  })
}
// 组号
export function getNum(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_传递后_组件名称_查询数据_查询所有组',
      param: '机床流水号=' + num
    }
  })
}
// 查询表1
export function searchTable(num1, num2, num3, num4, num5, num6, check, num7, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工艺计划_查询数据_状态_新',
      param: '项目流水号_check=' + num1 + '&项目流水号=' + num2 + '&机床流水号_check=' + num3 + '&机床流水号=' + num4 + '&组件流水号_check=' + num5 + '&组件流水号=' + num6 + '&零件图号_check=' + check + '&零件图号=' + num7 + '&考核状态_check=0&考核状态=0&单件是否外协_check=1&单件是否外协=1&时间=0&机加工开始时间=0&机加工结束时间=0&零件类型=0',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 查询表2
export function searchTable2(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工序_查询数据_工序工时_划单序外协',
      param: '工艺计划流水号=' + num1
    }
  })
}
// 序间外协状态更改
export function edit(num1, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_零件工序_修改数据_单序外协',
      param: '工序流水号=' + num1 + '&工序间是否外协=' + num2
    }
  })
}
export function edit2(num1, num2, num3) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '车间生产管理工艺_零件工艺计划_序间外协转换',
      param: '工序流水号=' + num1 + '&工艺计划流水号=' + num2 + '&是否外协=' + num3
    }
  })
}
